List office postings
GET /offices/postings
GET
/offices/postings
Get a list of job postings for authenticated office with filtering and pagination. Supports querying postings for child offices via X-Office header.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” x-office
string
Office ID to query child offices for (must be user’s office or a descendant). Defaults to authenticated user’s office.
Query Parameters
Section titled “Query Parameters ” officeId
string
Override office filter with specific office ID
professionType
string
Filter by profession type
subProfession
string
Filter by sub-profession (exact match)
status
string
Filter by status: active, closed, draft, or suspended
pageSize
integer
Number of results per page
page
integer
Page number (1-indexed)
orderBy
string
Sort field: title, hireCount/hired, candidateCount, or publishedAt
orderDirection
string
Sort direction: DESC or ASC
Responses
Section titled “ Responses ”OK
object
data
Array<object>
object
benefits
Array<string>
benefitsOther
string
candidateCount
integer
closedAt
string
closedBy
string
createdAt
string
createdBy
string
description
string
expectedDays
Array<integer>
hires
integer
id
string
office
object
location
Location: [City], [State] [ZipCode]
string
name
string
officeId
string
officeSelected
boolean
onsiteInterviewsCount
integer
professionType
string
publishedAt
string
salaryRange
object
max
integer
min
integer
payType
string
yearly
integer
scheduleType
string
specialty
string
status
string
subProfession
string
title
string
updatedAt
string
updatedBy
string
metadata
object
pagination
object
page
integer
pageSize
integer
total
integer
tabs
object
key
additional properties
integer
Bad request - validation error
object
error
string
some meaningful error messageInternal server error
object
error
string
some meaningful error message